## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           reStream
Version:        1.3.1
Release:        %autorelease
URL:            https://github.com/rien/reStream
Summary:        Stream your reMarkable screen over SSH
License:        MIT
BuildArch:      noarch

Source:         %{url}/archive/v%{version}/reStream-v%{version}.tar.gz

BuildRequires:  help2man

Requires:       /usr/bin/sh
Requires:       openssh-clients
Requires:       (ffmpeg-free >= 4.0.0 or ffmpeg >= 4.0.0)
Requires:       lz4

%description
Stream your reMarkable screen over SSH.

%prep
%autosetup

%build
# Fix command name in manpage
ln -s reStream.sh reStream
help2man -N ./reStream -o reStream.1
sed -i 's/\.\///g' reStream.1
rm -f reStream

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 reStream.sh %{buildroot}%{_bindir}/reStream
mkdir -p %{buildroot}%{_mandir}/man1/
install -pm 0644 reStream.1 %{buildroot}%{_mandir}/man1/reStream.1

%files
%license LICENSE
%doc README.md
%{_bindir}/reStream
%{_mandir}/man1/reStream.1*

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Daniel Milnes <daniel@daniel-milnes.uk> - 1.3.1-1
- Update to 1.3.1 (rhbz#2257766)

* Fri Sep 22 2023 Daniel Milnes <daniel@daniel-milnes.uk> - 1.2.0-2
- Use sed to cleanup the manpage

* Wed Sep 13 2023 Daniel Milnes <daniel@daniel-milnes.uk> - 1.2.0-1
- Initial import (fedora#2238451)
## END: Generated by rpmautospec
